package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * TagOutConfigOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class TagOutConfigOpenApiVo   {
  @JsonProperty("tagConfigList")
  @Valid
  private List<TagOutItemOpenApiVo> tagConfigList = new ArrayList<>();

  public TagOutConfigOpenApiVo tagConfigList(List<TagOutItemOpenApiVo> tagConfigList) {
    this.tagConfigList = tagConfigList;
    return this;
  }

  public TagOutConfigOpenApiVo addTagConfigListItem(TagOutItemOpenApiVo tagConfigListItem) {
    this.tagConfigList.add(tagConfigListItem);
    return this;
  }

  /**
   * The Tag Outbound configuration of class type, must contains class 1, class 2, class 3 and others.
   * @return tagConfigList
  */
  @ApiModelProperty(required = true, value = "The Tag Outbound configuration of class type, must contains class 1, class 2, class 3 and others.")
  @NotNull

  @Valid

  public List<TagOutItemOpenApiVo> getTagConfigList() {
    return tagConfigList;
  }

  public void setTagConfigList(List<TagOutItemOpenApiVo> tagConfigList) {
    this.tagConfigList = tagConfigList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TagOutConfigOpenApiVo tagOutConfigOpenApiVo = (TagOutConfigOpenApiVo) o;
    return Objects.equals(this.tagConfigList, tagOutConfigOpenApiVo.tagConfigList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(tagConfigList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TagOutConfigOpenApiVo {\n");
    
    sb.append("    tagConfigList: ").append(toIndentedString(tagConfigList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

